SDL_RendererInfo Struct Reference

Information on the capabilities of a render driver or context. More...

`#include <SDL_render.h>`

## Data Fields

const char * | name
Uint32 | flags
Uint32 | num_texture_formats
Uint32 | texture_formats [16]
int | max_texture_width
int | max_texture_height

## Detailed Description

Information on the capabilities of a render driver or context.

Definition at line 78 of file SDL_render.h.

## Field Documentation

Uint32 SDL_RendererInfo::flags

Supported SDL_RendererFlags

Definition at line 81 of file SDL_render.h.

Referenced by SDL_CreateRenderer(), SDL_RenderTargetSupported(), and SDLTest_PrintRenderer().

int SDL_RendererInfo::max_texture_height

The maximum texture height

Definition at line 85 of file SDL_render.h.

Referenced by SDL_CreateTexture(), and SDLTest_PrintRenderer().

int SDL_RendererInfo::max_texture_width

The maximum texture width

Definition at line 84 of file SDL_render.h.

Referenced by SDL_CreateTexture(), and SDLTest_PrintRenderer().

const char* SDL_RendererInfo::name

The name of the renderer

Definition at line 80 of file SDL_render.h.

Referenced by IsSDLWindowEventPending(), SDL_CreateRenderer(), SDL_CreateWindowTexture(), SDLTest_CommonInit(), and SDLTest_PrintRenderer().

Uint32 SDL_RendererInfo::num_texture_formats

The number of available texture formats

Definition at line 82 of file SDL_render.h.

Referenced by GetClosestSupportedFormat(), IsSupportedFormat(), SDL_CreateTextureFromSurface(), SDL_CreateWindowTexture(), and SDLTest_PrintRenderer().

Uint32 SDL_RendererInfo::texture_formats[16]

The available texture formats

Definition at line 83 of file SDL_render.h.

Referenced by GetClosestSupportedFormat(), IsSupportedFormat(), SDL_CreateTexture(), SDL_CreateTextureFromSurface(), SDL_CreateWindowTexture(), and SDLTest_PrintRenderer().

The documentation for this struct was generated from the following file:

- include/SDL_render.h